<?php

/*
 * (C) 2013-2016 iDorMobile LCC, telpho GmbH
 *
 * Version: 1.6.4
 *
 */

    require_once('/usr/iDorMobile/system/scripts/dbcore.php');

    if (session_status() == PHP_SESSION_NONE) {
        session_start();
    }

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) > 0) {
            $go_on = true;
        }
    }

    if (!$go_on) {
        header("Location: index.php");
        exit;
    }


	$ret_value = "unknown";
	$error = "";

	if (isset($_POST['action'])) {
		if ($_POST['action'] == "run") {
			$number_start = $_POST['number_start'];
            $number_count = $_POST['number_count'];
            $android = $_POST['android'];
            $idm_phone = $_POST['idm_phone'];
            $ipad = $_POST['ipad'];
            $iphone = $_POST['iphone'];

            if (intval($number_count) == 0) {
                $error .= "\nNumber of Apartments is 0";
            }
            if (intval($number_start) == 0) {
                $error .= "Starting Apartment number is 0";
            }

            $total = 0;

            $total += intval($android);
            $total += intval($idm_phone);
            $total += intval($ipad);
            $total += intval($iphone);

            if ($total > 10) {
                $error .= "\nto many devices. max is 10!";
            }

            if (strlen($error) == 0) {
                if ($cn = db_open()) {

                    $ret_value = "ok";
                    db_close($cn);
                }
            } else {
                $ret_value = $error;
            }
		}
	}
	echo $ret_value;

?>
