<?php

/*
 * (C) 2013-2016 iDorMobile LCC, telpho GmbH
 *
 * Version: 1.6.4
 *
 */

    require_once('/usr/iDorMobile/system/scripts/dbcore.php');

    if (session_status() == PHP_SESSION_NONE) {
        session_start();
    }

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) > 0) {
            $go_on = true;
        }
    }

    if (!$go_on) {
        header("Location: index.php");
        exit;
    }


	$ret_value = "unknown";
	$error = "";

	if (isset($_POST['action'])) {
		if ($_POST['action'] == "run") {
			$number_start = $_POST['number_start'];
            $number_end = $_POST['number_end'];

            if (intval($number_start) == 0) {
                $error .= "\nNumber Start is 0";
            }
            if (intval($number_end) == 0) {
                $error .= "\nNumber End is 0";
            }
            if (intval($number_end) < intval($number_start)) {
                $error .= "\nNumber End is greater than Number Start";
            }

            if (strlen($error) == 0) {
                if ($cn = db_open()) {

                    $ret_value = "ok";
                    db_close($cn);
                }
            } else {
                $ret_value = $error;
            }
		}
	}
	echo $ret_value;

?>
