<?php

/*
 * (C) 2013-2016 iDorMobile LCC, telpho GmbH
 *
 * Version: 1.6.4
 *
 */

    require_once('/usr/iDorMobile/system/scripts/dbcore.php');

    if (session_status() == PHP_SESSION_NONE) {
        session_start();
    }

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) >= 20) {
            $go_on = true;
        }
    }

    if (!$go_on) {
        header("Location: index.php");
        exit;
    }

	$ret_value = "ready";

    $path_restore = "/usr/iDorMobile/webgui/idorgui/temp";
    $logfile = $path_restore."/restore_status.log";

    $finish = false;

    if (isset($_POST['action'])) {
        if ($_POST['action'] == "restore") {
            $restore_step = $_POST['restore_step'];

            if ($restore_step == "1") {
                exec("sudo rm ".$logfile);
                if ($f = fopen($logfile,"w")) {
                    fputs($f,"start restore.<BR>");
                    fputs($f,"check iDMRestore file. this may take several minutes.<BR>");
                    fclose($f);
                }
            } else if ($restore_step == "2") {
                $found = false;
                if (file_exists($path_restore."/iDMRestore.tar")) {
                    $arr = array();
                    exec("sudo tar -tvf ".$path_restore."/iDMRestore.tar",$arr);
                    foreach ($arr as $a) {
                        $p = strpos($a,"idor.sql");
                        if ($p !== false) {
                            $found = true;
                            break;
                        }
                    }

                }
                if ($found) {
                    if ($f = fopen($logfile,"w")) {
                        fputs($f,"restore system and webgui files. this may take several minutes.<BR>");
                        fclose($f);
                    }
                } else {
                    exec("sudo rm ".$path_restore."/iDMRestore.tar");
                    $ret_value = "error: this is not a iDMBackup file!";
                }
            } else if ($restore_step == "3") {
                exec("sudo tar -xvf ".$path_restore."/iDMRestore.tar -C /");
                exec("sudo rm ".$path_restore."/iDMRestore.tar");
                exec("sudo /usr/iDorMobile/system/scripts/copy_scripts.php");
                if ($f = fopen($logfile,"a")) {
                    fputs($f,"import idor database<BR>");
                    fclose($f);
                }
            } else if ($restore_step == "4") {
                exec("sudo mysql -u root -ptelpho idor < ".$path_restore."/idor.sql");
                if ($f = fopen($logfile,"a")) {
                    fputs($f,"import idorcfgserver database<BR>");
                    fclose($f);
                }
            } else if ($restore_step == "5") {
                exec("sudo mysql -u root -ptelpho idorcfgserver < ".$path_restore."/idorcfgserver.sql");
                exec("sudo /usr/iDorMobile/system/scripts/idor_asterisk_reload.sh");
                if ($f = fopen($logfile,"a")) {
                    fputs($f,"ready. please reboot system.<BR>");
                    fclose($f);
                }
            } else {
                $finish = true;
            }
        }
        if (substr($ret_value,0,6) != "error:") {
            if (file_exists($logfile)) {
                if ($f = fopen($logfile,"r")) {
                    $ret_value = "";
                    while (!feof($f)) {
                        $ret_value .= fgets($f);
                    }
                    fclose($f);
                }
            } else {
                $ret_value = "ready";
                $finish = true;
            }
        }
    }

    if ($finish) {
        exec("sudo rm ".$path_restore."/*.*");
    }

	echo $ret_value;

?>
